<?php
/*
 Module: MiniPopup
 Created by: Dev4me / Ruud Eisinga
 
 version 0.2 - 22-06-2017
   - Initial version 
   - Based on sectionpicker 0.28
 
*/

if(defined('WB_PATH') == false) die("Cannot access this file directly");

$include_frontend_css_js = true;
$table_mod = TABLE_PREFIX.'mod_minipopup';
$query_page = $database->query("SELECT * FROM ".$table_mod." WHERE section_id =".$section_id);
$sql_row = $query_page->fetchRow();
$new_section_id 	= $sql_row["target_section_id"];
$start_delay 		= $sql_row['start_delay'];
$end_delay 			= $sql_row['end_delay'];
$cookie_hours		= $sql_row['cookie_hours'];
$close_overlay		= $sql_row['close_overlay'];


// Cookie and session handling
if(!$cookie_hours == 0) {  							// show on every pageload, no need for cookies
	$cookie = "mp_".$section_id;
	if(!isset($_GET['test'])) {  					// force popup, even if cookie is set
		if(isset($_SESSION[$cookie]) && $_SESSION[$cookie]=='1') return true; 
		if($cookie_hours > 0) {
			if (isset($_COOKIE[$cookie])) return true;
			setcookie($cookie, '1', time()+60*60*$cookie_hours);
		} elseif($cookie_hours == -2) {  			// forever (10 years)
			if (isset($_COOKIE[$cookie])) return true;
			setcookie($cookie, '1', time()+10*365*24*60*60);
		} else { 									// value -1 is session only
			if (isset($_COOKIE[$cookie])) {
				setcookie($cookie, "", time()-3600);
				unset($_COOKIE[$cookie]);
			}
		}
	}
	if($cookie_hours == -1) $_SESSION[$cookie] = '1';
}

$query_sec = $database->query("SELECT section_id,module,publ_start,publ_end FROM ".TABLE_PREFIX."sections WHERE section_id = '$new_section_id' ");
if($query_sec->numRows() > 0) { 
	$section = $query_sec->fetchRow(); 
	$now = time();
	if( !(($now<=$section['publ_end'] || $section['publ_end']==0) && ($now>=$section['publ_start'] || $section['publ_start']==0)) ) {
		return;
	}
	$section_id = $section['section_id']; 
	$module = $section['module']; 
	$popup = '';
	if ($include_frontend_css_js) {
		if (file_exists(WB_PATH.'/modules/'.$module.'/frontend.css')) {
			$popup .= '<link href="'.WB_URL.'/modules/'.$module.'/frontend.css" rel="stylesheet" type="text/css" media="screen" />'."\n";
		}
		if (file_exists(WB_PATH.'/modules/'.$module.'/frontend.js')) {
			$popup .= '<script src="'.WB_URL.'/modules/'.$module.'/frontend.js" type="text/javascript"></script>'."\n";
		}
		if (file_exists(WB_PATH.'/modules/'.$module.'/frontend_body.js')) {
			$popup .= '<script src="'.WB_URL.'/modules/'.$module.'/frontend_body.js" type="text/javascript"></script>'."\n";
		}
	}
	ob_start(); 
	require(WB_PATH.'/modules/'.$module.'/view.php'); 
	$popup.=ob_get_contents(); 
	ob_end_clean(); 
	$wb->preprocess($popup);

?>
	<div id="pbox" class="pbox">  
		<a class="pboxclose" id="pboxclose"></a>
		<div class="pbody">
			<?php echo $popup ?>
		</div>
	</div>
	<script>
	var pt=<?php echo $start_delay * 1000 ?>;
	var et=<?php echo $end_delay * 1000 ?>;
	var cc=<?php echo $close_overlay ?>;
	</script>
	<?php 
} 

